function c(o) {
  return (i, t) => {
    const e = i.querySelector(`.${o}-container`);
    let r = t;
    if (e) {
      const n = getComputedStyle(e), d = parseInt(n.borderLeftWidth, 10), s = parseInt(n.borderRightWidth, 10);
      r = t - d - s;
    }
    return r;
  };
}
export {
  c as default
};
